Package org.jboss.modules.security

# Class ModularPermissionFactory

java.lang.Object
org.jboss.modules.security.ModularPermissionFactory

All Implemented Interfaces:
  `PermissionFactory`

public final class ModularPermissionFactory extends Object implements PermissionFactory
A permission factory which instantiates a permission from a module.

Author:
  David M. Lloyd

## Constructor Summary

Constructors
Constructor
Description
`ModularPermissionFactory(ModuleLoader moduleLoader, String moduleName, String className, String targetName, String permissionActions)`
Construct a new instance.
`ModularPermissionFactory(ModuleLoader moduleLoader, ModuleIdentifier moduleIdentifier, String className, String targetName, String permissionActions)`
Deprecated, for removal: This API element is subject to removal in a future version.
Use `ModularPermissionFactory(ModuleLoader, String, String, String, String)` instead.

## Method Summary

Modifier and Type
Method
Description
`Permission`
`construct()`
Construct a new instance of the permission.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ModularPermissionFactory

@Deprecated(forRemoval=true) public ModularPermissionFactory(ModuleLoader moduleLoader, ModuleIdentifier moduleIdentifier, String className, String targetName, String permissionActions)
Deprecated, for removal: This API element is subject to removal in a future version.
Use `ModularPermissionFactory(ModuleLoader, String, String, String, String)` instead.
Construct a new instance.

Parameters:
  `moduleLoader` - the module loader from which the module is to be loaded
  `moduleIdentifier` - the module identifier from which the permission is to be loaded
  `className` - the name of the permission class
  `targetName` - the name to pass to the permission class constructor or `null` for none
  `permissionActions` - the action list to pass to the permission class constructor or `null` for none

### ModularPermissionFactory

public ModularPermissionFactory(ModuleLoader moduleLoader, String moduleName, String className, String targetName, String permissionActions)
Construct a new instance.

Parameters:
  `moduleLoader` - the module loader from which the module is to be loaded
  `moduleName` - the module name from which the permission is to be loaded
  `className` - the name of the permission class
  `targetName` - the name to pass to the permission class constructor or `null` for none
  `permissionActions` - the action list to pass to the permission class constructor or `null` for none

## Method Details

### construct

public Permission construct()
Description copied from interface: `PermissionFactory`
Construct a new instance of the permission. The instance may be cached.

Specified by:
  `construct` in interface `PermissionFactory`
Returns:
  the permission